import React from 'react';
import { history, Link } from 'umi';
import { Button, Popconfirm, Modal, Form, Input, message, Space, Tooltip } from 'antd';
import { PlusOutlined } from '@ant-design/icons';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { useRef, useState, useEffect } from 'react';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};
const FormItem = Form.Item;
export default (props) => {
  const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
  const [loading, setLoading] = useState(false);
  const [form] = Form.useForm();
  const actionRef = useRef();
  const [name, setName] = useState();
  const [selectModal, setSelectModal] = useState(false);
  const [machineryTypeList, setMachineryTypeList] = useState([]);

  const handleName = (val) => {
    setName(val);
  };
  const changeWeight = (record) => {
    setSelectModal(true);

    // setWeight(record.weight || 0)
    // setEditDetail(record)
  };
  const actions = () => [
    <Button key="add" type="primary" icon={<PlusOutlined />} onClick={selectModalOpen}>
      新增农机分类
    </Button>,
  ];
  const columns = [
    {
      title: '分类名',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '操作',
      key: 'option',
      render: (_, record) => {
        return (
          <Space>
            <Button key={1} onClick={() => changeWeight(record)} type="link">
              编辑
            </Button>
            <Popconfirm
              key={2}
              title="您是否确认删除 ?"
              onConfirm={() => handleDelete(record.cooperativeId)}
              okText="确定"
              cancelText="取消"
            >
              <a href="#">删除</a>
            </Popconfirm>
          </Space>
        );
      },
      search: false,
    },
  ];
  const handleDelete = () => { };

  const Submit = () => {
    setLoading(true);
    editRecommend({ ...editdetail, weight }, editdetail.serialNo).then(() => {
      message.success(`修改成功`);
      setLoading(false);
      onCancel();
      setName();
      actionRef.current.reload();
    });
  };
  const selectModalOpen = () => {
    setSelectModal(true);
  };
  const onCancel = () => {
    form.resetFields();
    setSelectModal(false);
  };

  useEffect(() => {
    form.setFieldsValue({ targetName: '' });
    // setPackageList();
    // getResource({ pageSize: 100 }).then((res) => {
    //   setMachineryTypeList(res.records || []);
    // });
  }, []);
  return (
    <PageHeaderWrapper>
      <Modal
        title="修改"
        visible={selectModal}
        onCancel={onCancel}
        destroyOnClose={true}
        footer={null}
      >
        <Form {...formItemLayout} onFinish={Submit} form={form}>
          <FormItem label="分类名" name="name" initialValue={name}>
            <Input onChange={handleName} style={{ width: '100%' }} placeholder="请输入分类名" />
          </FormItem>
          <FormItem label=" " colon={false}>
            <Button type="default" onClick={onCancel}>
              取消
            </Button>
            <Button
              type="primary"
              loading={loading}
              htmlType="Submit"
              style={{ marginLeft: '4em' }}
            >
              修改
            </Button>
          </FormItem>
        </Form>
      </Modal>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        toolBarRender={actions}
        columns={columns}
        rowKey="typeId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
