import SquareBox from '@/components/ScreenBox/SquareBox';
import TitleBox from '@/components/ScreenBox/TitleBox';
import { Pie, G2 } from '@ant-design/plots';
// import ba from './a.png'

export default (props) => {
  const data = [
    {
      type: '收割机',
      value: 27,
    },
    {
      type: '播种机',
      value: 25,
    },
    {
      type: '农药机',
      value: 18,
    },
    {
      type: '其他',
      value: 70,
    },
  ];
  const config = {
    color: ['#FB9900', '#355C9C', '#23E8AE', '#E63404'],
    pieStyle: {
      strokeOpacity: 0,
      lineWidth: 0,
    },
    statistic: {
      title: false,
      content: {
        style: {
          whiteSpace: 'pre-wrap',
          overflow: 'hidden',
          textOverflow: 'ellipsis',
        },
        content: ' ',
      },
    },
    appendPadding: 10,
    data,
    angleField: 'value',
    colorField: 'type',
    innerRadius: 0.8,
    radius: 0.75,
    label: {
      type: 'spider',
      labelHeight: 28,
      content: '{name}\n{percentage}',
      fill: 'rgba(225, 0, 0, 0.65)',
    },

    interactions: [
      {
        type: 'element-selected',

      },
      {
        type: 'element-active',
      },
    ],
  };
  return (
    <div>
      <TitleBox value="农机类型统计" />
      <SquareBox>
        <Pie {...config} />
      </SquareBox>
    </div>
  );
};
