import SquareBox from '@/components/ScreenBox/SquareBox';
import TitleBox from '@/components/ScreenBox/TitleBox';
import { Bar } from '@ant-design/plots';

export default (props) => {
  const data = [
    {
      key: '收割机',
      value: 200,
    },
    {
      key: '播种机',
      value: 150,
    },
    {
      key: '农药机',
      value: 50,
    },
  ];

  const config = {
    maxBarWidth: 20,
    data,
    xField: 'value',
    yField: 'key',
    seriesField: 'key',
    color: ['l(0) 0:rgba(225,225,225,0.0) 1:#FB9900', 'l(0) 0:rgba(225,225,225,0.0) 1:#23E8AE', 'l(0) 0:rgba(225,225,225,0.0) 1:#E63404'],
    legend: {
      position: 'top-left',
    },
    statistic: {
      style: {
        fontSize: 10,
        fontWeight: 60,
        textAlign: 'center',
        textBaseline: 'middle',
      },
    },
  };

  return (
    <div>
      <TitleBox value="农机类型统计" />
      <SquareBox>
        <Bar {...config} />
      </SquareBox>
    </div>
  );
};
